html, body {
    height: 100%; 
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}

body {
    background-color: #fbf8f1;
    line-height: 1.6;
    display: flex;
    flex-direction: column;

}

main {
    flex: 1;
    padding: 10px 5%;
}

img {
    max-width: 100%;
    height: auto;
}

.header-top {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 5%;
    background-color: #faf6ea;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.logo-top img {
    height: 70px;
    width: auto;
}

.navegation {
    display: flex;
    gap: 20px;
}

.navegation a {
    color: #333;
    cursor: pointer;
    font-weight: bold;
    transition: color 0.3s;
    text-decoration: none;
}

.navegation a:hover {
    color: #667d52;
}



.banner {
    overflow: hidden; 
}

.banner img {
    width: 100%;
    height: 500px;
    object-fit: fill;
    object-position: center;
    display: block; 
}

h2 {
    text-align: center;
    color: #1a1a1a;
    margin-top: 30px;
    font-size: 2em;
    display: inline-block;
    border-bottom: 2px solid #c29c70;
    padding-bottom: 5px;
    width: 100%;
}

.servicos-container {
    display: flex;
    flex-wrap: wrap; 
    gap: 20px;
    justify-content: center;
    margin-top: 40px;
}

.servico-link {
    display: block; 
    text-decoration: none;
    color: inherit;
    flex: 1 1 auto; 
    max-width: 250px;
}

.topico {
    padding: 20px;
    background-color: #faf6ea;
    border-radius: 8px;
    border: 1px solid #cac4b1;
    text-align: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s, box-shadow 0.3s;
    height: 100%;
    min-width: 140px;
    cursor: pointer; 
}

.topico:hover {
    transform: translateY(-5px);
}

.topico img {
    width: 60px;
    height: 60px;
    object-fit: contain;
    margin-bottom: 10px;
}

.topico h4 {
    color: #333;
    margin-bottom: 5px;
    font-size: 1.1em;
}

.topico p {
    color: #666;
    font-size: 0.9em;
}

.topico a{
    text-decoration: none;
}

footer {
    background-color: #cac4b1;
    color: #fff;
    padding: 30px 0;
    text-align: center;
}

.texto-footer {
    font-size: 1,5em;
    margin: 5px 0;
}


#detalhe-servico {
    max-width: 800px;
    margin: 40px auto;
    padding: 30px;
    background-color: #faf6ea;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
}


#titulo-completo {
    color: #1a1a1a;
    font-size: 1.5em;
    margin-bottom: 15px;
    border-bottom: 3px solid #c29c70;
    padding-bottom: 10px;
}


#descricao-detalhada {
    color: #333;
    font-size: 1.1em;
    line-height: 1.8;
    margin-top: 20px;
    text-align: justify;
}

#detalhe-servico a {
    display: block;
    margin-top: 30px;
    color: #667d52;
    text-decoration: none;
    font-weight: bold;
    padding: 8px 15px;
    border: 1px solid #667d52;
    border-radius: 5px;
    transition: background-color 0.3s, color 0.3s;
    text-align: center;
    
}

#detalhe-servico a:hover {
    background-color: #667d52;
    color: #fff;
}

.sobre-container {
    display: flex;
    align-items: center;
    gap: 15px;
    max-width: 1000px;
    margin: 40px auto;
    padding: 20px;
}

.sobre-imagem {
    flex: 0 0 35%;
    text-align: center;
}

.sobre-imagem img {
    width: 100%;
    max-width: 300px;
    height: auto;
    border-radius: 50%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}


.sobre-texto {
    flex: 1;
    padding-right: 20px;
}

.sobre-texto h2 {
    text-align: left; 
    margin-bottom: 10px;
}

.sobre-texto ul {
    list-style: circle;
    padding-left: 20px;
    margin-top: 15px;
    margin-bottom: 25px;
}

.sobre-texto li {
    margin-bottom: 10px;
    line-height: 1.5;
    background-repeat: no-repeat;
    background-position: left 5px;
    font-weight: 500;
}

.btn-cta {
    display: inline-block;
    margin-top: 20px;
    padding: 10px 25px;
    background-color: #667d52;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
    transition: background-color 0.3s;
}

.btn-cta:hover {
    background-color: #523315;
}

@media (max-width: 768px) {
    .header-top {
        flex-direction: column; 
        text-align: center;
    }

    .navegation {
        margin-top: 10px;
        gap: 15px;
    }

    .banner img {
        height: auto;
        width: 100%;
        object-fit: cover;
    }

    .sobre-container {
        flex-direction: column;
        text-align: center;
    }
    
    .sobre-texto h2 {
        text-align: center;
    }
}

@media (max-width: 600px) {
    .servico-link {
        flex: 1 1 45%; 
    }

    .banner img {
        height: auto;
        width: 100%;
        object-fit: fill;
    }
}